accounts/urls.py
from django.urls import path, include
from . import views

app_name = 'accounts'

urlpatterns= [
    path('signup/', views.signup_view, name='signup'),
    path('login/', views.login_view, name='login'),
    path('logout/', views.logout_view, name='logout'),
    path('completeProfile/<int:user_id>', views.completeProfile_view, name='completeProfile'),
    path('verify_email/<uidb64>/<token>/', views.verify_email, name='verify_email'),
]

committees/urls.py
from django.urls import path, include
from . import views
from django.contrib import admin

app_name = 'committees'

urlpatterns= [
    path('', views.committees, name='committees'),
    path('<uuid:uuid>', views.committee, name='committee'),
]

events/urls.py
from django.urls import path, include
from . import views
from django.contrib import admin

app_name = 'events'

urlpatterns= [
    path('', views.events, name='events'),
    path('<uuid:uuid>', views.event, name='event'),
    path('form/', views.events_form, name='events_form'),
    path('pin_event/', views.pin_event, name='pin_event'), 
    path('unpin_event/', views.unpin_event, name='unpin_event'),
    path('register_event/', views.register_event, name='register_event'),
    path('registerations/', views.registrations, name='registrations'),
]

festhub/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
from . import views

# Customise admin headings
admin.site.site_header = "FestHub Admin"
admin.site.site_title = "FestHub Admin Portal"
admin.site.index_title = "Welcome to FestHub Admin"


urlpatterns = [
    path('admin/', admin.site.urls),

    path('', views.homepage, name='home'),
    path('dashboard/', views.dashboard, name='dashboard'),
    path('registered_events/',views.registered_events, name='registered_events'),
    
    # Event specific paths
    path('events/', include('events.urls')),
    path('committees/', include('committees.urls')),

    # Account specific paths
    path('accounts/', include('accounts.urls')),

    path('about/', views.about, name='about'),
    path('profile/<str:username>/', views.profile, name='profile'),
    path('committee/',views.committee,name='committee')
]

# Serve media files during development
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

frontend/models.py
from django.db import models

# Create your models here.

frontend/views.py
from django.shortcuts import render

# Create your views here.

frontend/templates/homepage/index.html
{% load static %}

<!doctype html>
<html lang="en" data-bs-theme="auto">
  <head><script src="{% static 'js/color-modes.js' %}"></script>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Hugo 0.122.0">
    <title>Home page</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/5.3/examples/carousel/">

    

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@docsearch/css@3">

<link href="{% static 'dist/css/bootstrap.min.css' %}" rel="stylesheet">

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }

      .b-example-divider {
        width: 100%;
        height: 3rem;
        background-color: rgba(0, 0, 0, .1);
        border: solid rgba(0, 0, 0, .15);
        border-width: 1px 0;
        box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
      }

      .b-example-vr {
        flex-shrink: 0;
        width: 1.5rem;
        height: 100vh;
      }

      .bi {
        vertical-align: -.125em;
        fill: currentColor;
      }

      .nav-scroller {
        position: relative;
        z-index: 2;
        height: 2.75rem;
        overflow-y: hidden;
      }

      .nav-scroller .nav {
        display: flex;
        flex-wrap: nowrap;
        padding-bottom: 1rem;
        margin-top: -1px;
        overflow-x: auto;
        text-align: center;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
      }

      .btn-bd-primary {
        --bd-violet-bg: #712cf9;
        --bd-violet-rgb: 112.520718, 44.062154, 249.437846;

        --bs-btn-font-weight: 600;
        --bs-btn-color: var(--bs-white);
        --bs-btn-bg: var(--bd-violet-bg);
        --bs-btn-border-color: var(--bd-violet-bg);
        --bs-btn-hover-color: var(--bs-white);
        --bs-btn-hover-bg: #6528e0;
        --bs-btn-hover-border-color: #6528e0;
        --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
        --bs-btn-active-color: var(--bs-btn-hover-color);
        --bs-btn-active-bg: #5a23c8;
        --bs-btn-active-border-color: #5a23c8;
      }

      .bd-mode-toggle {
        z-index: 1500;
      }

      .bd-mode-toggle .dropdown-menu .active .bi {
        display: block !important;
      }
      .blurred-img {
        filter: blur(5px);
        -webkit-filter: blur(5px); /* For older versions of Chrome and Safari */
    }
    .carousel-title {
      color: white;
      font-weight: bold;
      text-shadow: -1px -1px 0 black, 1px -1px 0 black, -1px 1px 0 black, 1px 1px 0 black;
  }
  
  .carousel-description {
      color: white;
      text-shadow: -1px -1px 0 black, 1px -1px 0 black, -1px 1px 0 black, 1px 1px 0 black;
  }
  
    
    </style>

    
    <!-- Custom styles for this template -->
    <link href="{% static 'css/carousel.css' %}" rel="stylesheet">
  </head>
  <body>
    <svg xmlns="http://www.w3.org/2000/svg" class="d-none">
      <symbol id="check2" viewBox="0 0 16 16">
        <path d="M13.854 3.646a.5.5 0 0 1 0 .708l-7 7a.5.5 0 0 1-.708 0l-3.5-3.5a.5.5 0 1 1 .708-.708L6.5 10.293l6.646-6.647a.5.5 0 0 1 .708 0z"/>
      </symbol>
      <symbol id="circle-half" viewBox="0 0 16 16">
        <path d="M8 15A7 7 0 1 0 8 1v14zm0 1A8 8 0 1 1 8 0a8 8 0 0 1 0 16z"/>
      </symbol>
      <symbol id="moon-stars-fill" viewBox="0 0 16 16">
        <path d="M6 .278a.768.768 0 0 1 .08.858 7.208 7.208 0 0 0-.878 3.46c0 4.021 3.278 7.277 7.318 7.277.527 0 1.04-.055 1.533-.16a.787.787 0 0 1 .81.316.733.733 0 0 1-.031.893A8.349 8.349 0 0 1 8.344 16C3.734 16 0 12.286 0 7.71 0 4.266 2.114 1.312 5.124.06A.752.752 0 0 1 6 .278z"/>
        <path d="M10.794 3.148a.217.217 0 0 1 .412 0l.387 1.162c.173.518.579.924 1.097 1.097l1.162.387a.217.217 0 0 1 0 .412l-1.162.387a1.734 1.734 0 0 0-1.097 1.097l-.387 1.162a.217.217 0 0 1-.412 0l-.387-1.162A1.734 1.734 0 0 0 9.31 6.593l-1.162-.387a.217.217 0 0 1 0-.412l1.162-.387a1.734 1.734 0 0 0 1.097-1.097l.387-1.162zM13.863.099a.145.145 0 0 1 .274 0l.258.774c.115.346.386.617.732.732l.774.258a.145.145 0 0 1 0 .274l-.774.258a1.156 1.156 0 0 0-.732.732l-.258.774a.145.145 0 0 1-.274 0l-.258-.774a1.156 1.156 0 0 0-.732-.732l-.774-.258a.145.145 0 0 1 0-.274l.774-.258c.346-.115.617-.386.732-.732L13.863.1z"/>
      </symbol>
      <symbol id="sun-fill" viewBox="0 0 16 16">
        <path d="M8 12a4 4 0 1 0 0-8 4 4 0 0 0 0 8zM8 0a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-1 0v-2A.5.5 0 0 1 8 0zm0 13a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-1 0v-2A.5.5 0 0 1 8 13zm8-5a.5.5 0 0 1-.5.5h-2a.5.5 0 0 1 0-1h2a.5.5 0 0 1 .5.5zM3 8a.5.5 0 0 1-.5.5h-2a.5.5 0 0 1 0-1h2A.5.5 0 0 1 3 8zm10.657-5.657a.5.5 0 0 1 0 .707l-1.414 1.415a.5.5 0 1 1-.707-.708l1.414-1.414a.5.5 0 0 1 .707 0zm-9.193 9.193a.5.5 0 0 1 0 .707L3.05 13.657a.5.5 0 0 1-.707-.707l1.414-1.414a.5.5 0 0 1 .707 0zm9.193 2.121a.5.5 0 0 1-.707 0l-1.414-1.414a.5.5 0 0 1 .707-.707l1.414 1.414a.5.5 0 0 1 0 .707zM4.464 4.465a.5.5 0 0 1-.707 0L2.343 3.05a.5.5 0 1 1 .707-.707l1.414 1.414a.5.5 0 0 1 0 .708z"/>
      </symbol>
    </svg>

    <div class="dropdown position-fixed bottom-0 end-0 mb-3 me-3 bd-mode-toggle">
      <button class="btn btn-bd-primary py-2 dropdown-toggle d-flex align-items-center"
              id="bd-theme"
              type="button"
              aria-expanded="false"
              data-bs-toggle="dropdown"
              aria-label="Toggle theme (auto)">
        <svg class="bi my-1 theme-icon-active" width="1em" height="1em"><use href="#circle-half"></use></svg>
        <span class="visually-hidden" id="bd-theme-text">Toggle theme</span>
      </button>
      <ul class="dropdown-menu dropdown-menu-end shadow" aria-labelledby="bd-theme-text">
        <li>
          <button type="button" class="dropdown-item d-flex align-items-center" data-bs-theme-value="light" aria-pressed="false">
            <svg class="bi me-2 opacity-50" width="1em" height="1em"><use href="#sun-fill"></use></svg>
            Light
            <svg class="bi ms-auto d-none" width="1em" height="1em"><use href="#check2"></use></svg>
          </button>
        </li>
        <li>
          <button type="button" class="dropdown-item d-flex align-items-center" data-bs-theme-value="dark" aria-pressed="false">
            <svg class="bi me-2 opacity-50" width="1em" height="1em"><use href="#moon-stars-fill"></use></svg>
            Dark
            <svg class="bi ms-auto d-none" width="1em" height="1em"><use href="#check2"></use></svg>
          </button>
        </li>
        <li>
          <button type="button" class="dropdown-item d-flex align-items-center active" data-bs-theme-value="auto" aria-pressed="true">
            <svg class="bi me-2 opacity-50" width="1em" height="1em"><use href="#circle-half"></use></svg>
            Auto
            <svg class="bi ms-auto d-none" width="1em" height="1em"><use href="#check2"></use></svg>
          </button>
        </li>
      </ul>
    </div>

    
<header data-bs-theme="dark">
  <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
    <div class="container-fluid">
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav me-auto mb-2 mb-md-0">
          <li class="nav-item">
            <a class="nav-link active" href="/dashboard">Dashboard</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="/events">Events</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" href="{% url "committees:committees" %}">Committees</a>
          </li>
          <li class="nav-item">
          </li>
        </ul>
         {% if user.is_authenticated %}
        <form action="{% url 'accounts:logout' %}" method="post">
        {% csrf_token %}
        <a class="nav-link" href="/"><button type="submit" class="btn btn-danger my-1 " >Sign out</button></a>
        </form>
        {% else %}
        <a class="nav-link" href="/dashboard#"><button type="button" class="btn btn-success my-1 " >Sign In</button></a>
        {% endif %} 
        <form class="d-flex" role="search">
        <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success" type="submit">Search</button>
        </form>
      </div>
    </div>
  </nav>
</header>

<main>

  <div id="myCarousel" class="carousel slide mb-6" data-bs-ride="carousel">
    <div class="carousel-indicators">
        <button type="button" data-bs-target="#myCarousel" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
        <button type="button" data-bs-target="#myCarousel" data-bs-slide-to="1" aria-label="Slide 2"></button>
        <button type="button" data-bs-target="#myCarousel" data-bs-slide-to="2" aria-label="Slide 3"></button>
    </div>
    <div class="carousel-inner">
        <div class="carousel-item active">
            <img src="{{ upcoming_events.0.banner.url }}" class="d-block w-100 blurred-img" alt="{{ upcoming_events.0.name }}">
            <div class="container">
                <div class="carousel-caption text-start">
                    <h1 class="carousel-title">{{ upcoming_events.0.name }}</h1>
                    <p class="carousel-description">{{ upcoming_events.0.description }}</p>
                    <!-- Adjust the content as per your event model -->
                    <p><a class="btn btn-lg btn-primary" href="#">Register now!</a></p>
                </div>
            </div>
        </div>
        <div class="carousel-item">
            <img src="{{ upcoming_events.1.banner.url }}" class="d-block w-100 blurred-img" alt="{{ upcoming_events.1.name }}">
            <div class="container">
                <div class="carousel-caption">
                    <h1 class="carousel-title">{{ upcoming_events.1.name }}</h1>
                    <p class="carousel-description">{{ upcoming_events.1.description }}</p>
                    <!-- Adjust the content as per your event model -->
                    <p><a class="btn btn-lg btn-primary" href="#">Register now!</a></p>
                </div>
            </div>
        </div>
        <div class="carousel-item">
            <img src="{{ upcoming_events.2.banner.url }}" class="d-block w-100 blurred-img" alt="{{ upcoming_events.2.name }}">
            <div class="container">
                <div class="carousel-caption text-end">
                    <h1 class="carousel-title">{{ upcoming_events.2.name }}</h1>
                    <p class="carousel-description">{{ upcoming_events.2.description }}</p>
                    <!-- Adjust the content as per your event model -->
                    <p><a class="btn btn-lg btn-primary" href="#">Register now!</a></p>
                </div>
            </div>
        </div>
    </div>
    <button class="carousel-control-prev" type="button" data-bs-target="#myCarousel" data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Previous</span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#myCarousel" data-bs-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Next</span>
    </button>
</div>





  <!-- Marketing messaging and featurettes
  ================================================== -->
  <!-- Wrap the rest of the page in another container to center all the content. -->

  <div class="container marketing">

    <!-- Three columns of text below the carousel -->
    <div class="row">
      {% for committee in committee %}
      <div class="col-lg-4">
        <img src="{{committee.banner.url}}"  class="bd-placeholder-img rounded-circle" width="140" height="140" aria-label="Placeholder" preserveAspectRatio="xMidYMid slice" focusable="false"><title>Placeholder</title><rect width="100%" height="100%" fill="var(--bs-secondary-color)"/>
        <h2 class="fw-normal">{{committee.name}}</h2>
        <p>{{committee.description}}</p>
        <p><a class="btn btn-secondary" href="{% url 'committees:committee' uuid=committee.uuid %}">View details &raquo;</a></p>
      </div><!-- /.col-lg-4 -->
      {% endfor %}
    </div><!-- /.row -->
   


    <!-- START THE FEATURETTES -->

    <hr class="featurette-divider">

    <!-- /END THE FEATURETTES -->

  </div><!-- /.container -->


  <!-- FOOTER -->
  <footer class="container">
    <p class="float-end"><a href="#">Back to top</a></p>
    <p>&copy; 2017–2024 Company, Inc. &middot; <a href="#">Privacy</a> &middot; <a href="#">Terms</a></p>
  </footer>
</main>
<script src="{% static 'dist/js/bootstrap.bundle.min.js' %}"></script>
    </body>
</html>